import 'package:flutter/material.dart';
import 'package:topsheet_view/topsheet_view.dart';

void main() => runApp( const MyApp());

class MyApp extends StatelessWidget {

  const MyApp({Key? key}) : super(key: key);

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(

        primarySwatch: Colors.blue,
      ),
      home:  HomeView(),
    );
  }
}


class HomeView extends StatelessWidget {
   const HomeView({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('TopSheet View'),
      ),
      body: SafeArea(
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            Padding(
              padding: const EdgeInsets.all(8.0),
              child: MaterialButton(
                color: Colors.green,
                child: const Text("Click Me Top Sheet View",style: TextStyle(
                    color: Colors.white
                ),),
                onPressed: () {
                  TopSheetView.show(
                    context: context,
                    child: Column(
                      mainAxisSize: MainAxisSize.min,
                      // ignore: prefer_const_literals_to_create_immutables
                      children:[
                        const ListTile(
                          leading: Icon(Icons.file_copy),
                          title:Text('New'),
                        ),
                        const ListTile(
                          leading: Icon(Icons.edit),
                          title:Text('Edit'),
                        ),
                        const ListTile(
                          leading:Icon(Icons.delete),
                          title:Text('Delete'),
                        ),
                      ],
                    ),
                    direction: TopSheetDirection.TOP, // TopSheetDirection.TOP,TopSheetDirection.BOTTOM,
                  );
                },
              ),
            ),

            Padding(
              padding: const EdgeInsets.all(8.0),
              child: MaterialButton(
                color: Colors.green,
                child: const Text("Click Me Bottom Sheet View", style: TextStyle(
                  color: Colors.white
                ),),
                onPressed: () {
                  TopSheetView.show(
                    context: context,
                    child: Column(
                      mainAxisSize: MainAxisSize.min,
                      // ignore: prefer_const_literals_to_create_immutables
                      children:[
                        const ListTile(
                          leading: Icon(Icons.file_copy),
                          title:Text('New'),
                        ),
                        const ListTile(
                          leading: Icon(Icons.edit),
                          title:Text('Edit'),
                        ),
                        const ListTile(
                          leading:Icon(Icons.delete),
                          title:Text('Delete'),
                        ),
                      ],
                    ),
                    direction: TopSheetDirection.BOTTOM, // TopSheetDirection.TOP,TopSheetDirection.BOTTOM,
                  );
                },
              ),
            ),
          ],
        ),
      ),
    );
  }
}

